Bug 1228693 - dnf config-manager --add-repo sets permission to 600
dnf config-manager --add-repo sets permission to 600
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Mráka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-05 09:05 EDT by kealthou
Modified: 2015-06-27 18:32 EDT (History)
8 users (show)

See Also:
Fixed In Version: dnf-plugins-core-0.1.9-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-27 18:32:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kealthou 2015-06-05 09:05:23 EDT
Description of problem:
When dnf config-manager --add-repo saves a repository, the repo file's permission is set to 600. The permission should be 644 so that non-privileged users can use the repository. 

Version-Release number of selected component (if applicable):
dnf-plugins-core-0.1.8-1.fc22.noarch

How reproducible:
Always.

Steps to Reproduce:
1. sudo dnf config-manager --add-repo https://repos.fedorapeople.org/repos/abrt/abrt/fedora-abrt.repo
2. dnf list abrt

Actual results:
Warning: failed loading '/etc/yum.repos.d/fedora-abrt.repo', skipping.
Last metadata expiration check performed 0:00:08 ago on Fri Jun  5 22:01:29 2015.
Installed Packages
abrt.i686             2.5.1-3.fc22                    @System

Expected results:
Last metadata expiration check performed 0:00:35 ago on Fri Jun  5 22:01:29 2015.
Installed Packages
abrt.i686             2.5.1-3.fc22                    @System
Available Packages
abrt.i686             2.5.1.88.gfb18.dirty-1.fc22     fedora-abrt
Comment 1 Michael Mráka 2015-06-08 10:21:57 EDT
Fixed in https://github.com/rpm-software-management/dnf-plugins-core/pull/97
Comment 2 Fedora Update System 2015-06-24 08:08:46 EDT
dnf-plugins-core-0.1.9-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.9-1.fc22
Comment 3 Fedora Update System 2015-06-25 04:22:07 EDT
Package dnf-plugins-core-0.1.9-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-core-0.1.9-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10706/dnf-plugins-core-0.1.9-1.fc22
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2015-06-27 18:32:57 EDT
dnf-plugins-core-0.1.9-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.